<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/course_color_99000000"
    tools:ignore="MissingDefaultResource">

    <ImageView
        android:id="@+id/iv_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:paddingLeft="15dp"
        android:src="@drawable/course_toolbar_back"
        app:layout_constraintBottom_toBottomOf="@+id/tv_title"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/tv_title" />

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="45dp"
        android:gravity="center"
        android:text="生成海报"
        android:textColor="@color/white"
        android:textSize="18sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <RelativeLayout
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="20dp"
        android:layout_marginBottom="20dp"
        app:layout_constraintBottom_toTopOf="@+id/radio_group"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_title"
        tools:background="@color/main_theme">

        <android.support.v4.view.ViewPager
            android:id="@+id/viewpager"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_centerInParent="true"
            android:clipChildren="false"
            android:clipToPadding="false"
            android:paddingLeft="53dp"
            android:paddingRight="53dp"
            tools:background="@color/red" />

    </RelativeLayout>


    <RadioGroup
        android:id="@+id/radio_group"
        android:layout_width="wrap_content"
        android:layout_height="38dp"
        android:layout_marginBottom="10dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toTopOf="@+id/view"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <android.support.v7.widget.AppCompatRadioButton
            android:id="@+id/rb_one"
            android:layout_width="100dp"
            android:layout_height="match_parent"
            android:background="@drawable/course_background_course_poster_button"
            android:button="@null"
            android:checked="true"
            android:gravity="center"
            android:text="模版一"
            android:textColor="@color/white" />

        <android.support.v7.widget.AppCompatRadioButton
            android:id="@+id/rb_two"
            android:layout_width="100dp"
            android:layout_height="match_parent"
            android:layout_marginLeft="15dp"
            android:background="@drawable/course_background_course_poster_button"
            android:button="@null"
            android:gravity="center"
            android:text="模版二"
            android:textColor="@color/white" />
    </RadioGroup>

    <View
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:background="@color/white"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <TextView
        android:id="@+id/tv_share"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="15dp"
        android:layout_marginTop="6dp"
        android:layout_marginEnd="15dp"
        android:layout_marginBottom="6dp"
        android:background="@drawable/course_bg_radius_green_6"
        android:gravity="center"
        android:text="分享"
        android:textColor="@color/white"
        android:textSize="16sp"
        app:layout_constraintBottom_toBottomOf="@+id/view"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/view" />

</android.support.constraint.ConstraintLayout>